LibreOffice LibreOffice 26.2 SDK C/C++ API Reference

Loading...
Searching...
No Matches
instance.hxx File Reference
`#include "sal/config.h"`
`#include <cstddef>`
`#include "osl/doublecheckedlocking.h"`
`#include "osl/getglobalmutex.hxx"`

Go to the source code of this file.

## Classes
class | rtl::Static< T, Unique >
| Helper base class for a late-initialized (default-constructed) static variable, implementing the double-checked locking pattern correctly. More...
class | rtl::StaticWithArg< T, Data, Unique >
| Helper base class for a late-initialized (default-constructed) static variable, implementing the double-checked locking pattern correctly. More...
class | rtl::StaticAggregate< T, InitAggregate >
| Helper class for a late-initialized static aggregate, e.g. More...
class | rtl::StaticWithInit< T, InitData, Unique, Data >
| Helper base class for a late-initialized static variable, implementing the double-checked locking pattern correctly. More...

## Namespaces
namespace | rtl